
# 2025-01-07 (biostatinfo)

*Florence, Mathieu, Odile, Denis, Marie, Arthur, Andrea*

 

   * **Objectives**: (1) regularly update one another about ongoing/upcoming collaborations, (2) share coding tips, tools, and best practices, (3) discuss development of internal trainings
   * **Target participants**: Any GiBBS members interested in the planned technical topic of the day
   * **Format**: scheduled on Tuesdays at 10h in Minotaur on off-weeks for GiBBS plenary team meetings, topics determined ideally alternating between logistical vs technical, duration = 1h (unless pre-agreed upon longer format for more technical topics)
   * **Next meeting**: 21 January @ 10h, practical use of Gitlab and initial overview of recent and ongoing collaborations/support activity
 

5 main categories of topics to be discussed in these biweekly meetings:

   1. **Coding club**
       * Optimizing code
       * Data integration : MOFA, RGCCA, mixOmics, …
       * Discovery of new/interesting R packages
       * Gitlab GiBBS (with GiBBS packages as tutorial)
       * Reading XML files in R
       * SK8 Shiny server
   1. **Shared tools / best practices**
       * GitHub "Destop"  + forgeMIA, future forge INRAE
       * PLMLaTeX
       * Copilot
       * ChatGPT for commenting code
       * Vignette / site web (e.g., packagedown)
   1. **Collaborations / support activity**
       * Pixel (ATAC-seq + RNA-seq) @ Florence/Andrea/Mathieu/Marie
       * LIPOMEC @Andrea
       * WHAT-SOW (Laurianne Canario) + nouveau projet @Denis
       * BoSexDim (Veronique Duranthon), time-course embryo development based on images @Florence/Denis
       * GENE-SWitCH WP5 (ATAC-seq + RNA-seq) @Andrea
       * New requests for support/collaboration
       * Présentation GABI de mars 2025
   1. **Training (Modeling/integration transversality)**
       * Tutorials/TP (e.g., tools for visualization in R/Python, dplyr, Nextflow)
       * Multi-omic data integration
       * Organization of a handful of "useful" tutorials
       * "Hackathon" on a given integration topic (e.g., ATAC+RNA-seq integration)
   1. **Biostatinfo common research topics**
       * ANR INTEGREATS
       * FAMAT
       * Evaluating spatial distances on chromosomes
       * Text mining to link genes and metabolites ?
       * New research ideas
 

   * **TODO:**
       * Add Marie + Arthur to gabi-biostatinfo@inrae.fr @Mathieu
       * Shared Gitlab folder for biostatinfo (documents/markdown/code), ideally with predefined arborescence @Arthur
       * Advertise mailing list and discuss organization of support activity at Lundi de GABI @Odile
       * Global text/Rmarkdown document in shared biostatinfo Gitlab folder summarizing recent and ongoing collaborative projects (**acronym**, **coordinator/équipe/unité**, **timeline**, **experimental design**, **data type**, species, participants, short description of bioinfo/biostat analyses, doi if publication, link to online data repo if available, …) @all