
# Réunion BioStatInfo

*14 janvier 2025*

**personnes présentes : **Florence Jaffrezic, Andrea Rau, Arthur Leroy, Marie Courbariaux, Mathieu Charles, Odile Rogier, Denis Laloë



## Ordre du jour

- Mise en place du Mattermost et du Gitlab d'équipe

- Aperçu des projets en cours



## Groupe Gitlab GiBBS-BioStatInfo

Groupe gitlab privé BioStatInfo sur forgemia (gitlab institutionnel) : [https://forgemia.inra.fr/gibbs-biostatinfo](https://forgemia.inra.fr/gibbs-biostatinfo) ; lien d'invitation envoyé par Arthur



Un dossier Research-Projects avec :

    - un tableau Markdown décrivant les projets en cours (acronymes, participants, DOI associés, ...) ; 

    - un dossier Reproducibility pour le partage de codes et de données d'études déjà publiées

    - un dossier CR pour les compte-rendus de réunion



### Configuration initiale du Git

Pour faciliter l'utilisation, on conseille d'utiliser **Github Destop ~~Desktop~~**~~ ~~: [https://github.com/apps/desktop](https://github.com/apps/desktop) 

On peut y gérer tous les repos qui sont associés à ses comptes git (GitHub, gitlab, plmlab,...)

Pour y ajouter le gitlab BioStatInfo, il faut au préalable créer un **token** sur forgemia pour son ordinateur (un par ordinateur) ; suivre le tuto suivant : 

[https://github.com/desktop/desktop/blob/development/docs/integrations/gitlab.md](https://github.com/desktop/desktop/blob/development/docs/integrations/gitlab.md) 



Pour utiliser le gitlab en lignes de commandes** ou via RStudio** (sans GitHub Desktop), on peut, à la place, utiliser une clé ssh : 

   * [https://docs.gitlab.com/ee/user/ssh.html](https://docs.gitlab.com/ee/user/ssh.html)
   * [https://docs.gitlab.com/ee/user/ssh.html#add-an-ssh-key-to-your-gitlab-account](https://docs.gitlab.com/ee/user/ssh.html#add-an-ssh-key-to-your-gitlab-account)


Mister GitHub, Roi du git : Denis ! 

Problème de switch entre les repos (nécessite la re-spécification du token après changement du repo de travail sur GitHub Desktop) 



### Utilisation de Git

Un super document qui explique bien l'utilisation de Git avec Rstudio: [https://happygitwithr.com/](https://happygitwithr.com/)

En ligne on voit le repo commun, visible par tous

On commence par en faire un clone en local sur notre ordinateur "**clone**"

Une fois des modifications faites localement, on peut en faire un "**commit**" avec un titre indiquant les modifications effectuées et les pousser sur le repo commun par un "**push**"

Pour le développement à plusieurs : une version prod (en l'état tel qu'utilisé normalement) = "**main**" et une version dev. Chacun fait une branche de la version dev sur laquelle chacun travaille syr des parties différentes. Une fois que chacun a effectué ses modifications, faire un "**merge**" des branches. Il y a alors en général quelques **conflits à résoudre** puis à "push"er. Attention à ne pas travailler en même temps exactement sur les mêmes choses. 

Avant de commencer à travailler, faire un "**pull**" pour partir de l'état actuel du commun

Faire des commit suffisamment réguliers 



### Tableau Markdown décrivant les projets en cours

LaTex Table peut être utilisé pour transformer un tableau csv en Markdown ([https://www.convertcsv.com/csv-to-markdown.htm)](https://www.convertcsv.com/csv-to-markdown.htm)). 

Colonne "expérimental design : nombre d'échantillons, appariés ou non, ...



## Point serveurs

MIGALE

GenoToul

dga20

ordonnanceurs différents (SGE vs Slurm)

gestion des environnements différente (pour l'installation d'un outil, on nous créée un environnement pour cet outil)



## Mattermost

Un channel par repo



## To Do 

Point formattage des données tidyverse, plotting ... @Arthur

Préparer un tuto pour la connexion aux clusters, ... à destination de la stagiaire de Michèle et Anaïs et mise à disposition sur le git @Mathieu

Préparer un tuto sur l'utilisation de GenoToul, MIGALE, ... @Mathieu

Enquêter sur le problème de switch entre les repos (nécessite la re-spécification du token après changement du repo de travail sur GitHub Desktop) @Arthur

Compléter la description des projets récents/en cours @all



Prochaine réunion biostatinfo: le 4 février 10h
