
# TP GENOTOUL

Animé par Mathieu Charles, 4/2/2025



## pre-requisites

   1. ask for a GenoToul account : [https://bioinfo.genotoul.fr/index.php/ask-for/create-an-account-2/](https://bioinfo.genotoul.fr/index.php/ask-for/create-an-account-2/)
   1. install MobaXterm : [https://mobaxterm.mobatek.net/](https://mobaxterm.mobatek.net/)


To connect to genotoul:

**ssh -XY username@genobioinfo.toulouse.inrae.fr**

(-X flag is to open a graphical interface, -Y flag enables trusted X11 forwarding)



**when it's red it's not good**



## main directories in GenoToul

    **/home** : ~10Go ; private ; do not store big files here, not accessible for other GenoToul users

    **/work**/user/username : ~1To ; not backed-up []public[]

   ** /save**/user/username : ~250Go ; backed-up []public[]

    /work/**project/**myproject : 150€/To/an ; private, ask for it if necessary for a big (shared) project ; a group is associated to each project with such space by default



everything in work and save is kept for ~10 days (so we can go back in case of problem) (snapshot done every night)



## Linux commands

Useful self-trainings: [https://bioinfo.genotoul.fr/index.php/faq/self\_training\_faq/](https://bioinfo.genotoul.fr/index.php/faq/self\_training\_faq/) (here's one about Linux commands specifically: [https://bioinfo.genotoul.fr/wp-content/uploads/Formation\_LINUX\_GenoToul\_2024.pdf)](https://bioinfo.genotoul.fr/wp-content/uploads/Formation\_LINUX\_GenoToul\_2024.pdf))

   *     **pwd** : print working directory
   *     **ls** : list of files in current directory
   *     **man ls** : lists every option for the ls command
   *     **mytool -h** or **man --help** : to get help on any tool
   *     **ls -l** : list of files with additional information (= **ll** is a shortcut for ls -l, **ls -la** shows all files including hidden files, **ls -altr** : all files ordered by last date of use)
       * Also shows rights (read/write/execute) for files: first users, then groups, then others 
       * drwxr-xr-x before file name (in ll / ls -la / ...) : access,... rights x: execute w: write r: read
       * it is possible to remove writing rights for a file to protect it from over-wrighting
   *     **cd**: change directory (can use absolute paths or relative paths with respect to current directory)
   *     **cd .. **: go a directory upward
   * **Tab** touch allows for auto-completion (i.e., you can start typing a file name or path, and hitting tab will either auto-complete or show you the various options that match)
   * **cat** to open and visualize a file
   * **ctrl + c** : to stop somethng / kill a process (e.g., if you try to print a very large file to the screen!)
   * **q** quit a file
   * **clear** : to clear the screen
   * **head** : see 10 first line of a file ; **tail** : ten last lines
   * **less** : open with control (forward and backward navigation) to move to next page, also allows for search with **/**
   * **more**: similar to less for forward navigation through a file (limited backward navigation)
   * **grep**: line-by-line search for a specific set of characters in a file, (-c flag counts the number of lines where character occurs, NOT the number of occurrences) ; ex:  **grep -c AACTGCA Bos\_taurus.ARS-UCD1.3.dna.toplevel.fa**
   * Special characters that need to be protected in Linux (e.g. <, >, |, \&, *, ?, +, $, !, [ ... ) ; ex:  **grep -c AACTGCA Bos\_taurus.ARS-UCD1.3.dna.toplevel.fa > test.tmp** redirects the output of the first part of the command to a temporary file test.tmp ; to use those characters without using their special power : use "" ex: ">"
   * **>>** writes additional lines in an existing file
   * **2>** writes the error output
   * **wc** word (**-l** lines) counts
   * **| **to separate several commands in a same line
   * **rm** filename : remove a file 
   * **sed**: replace some characters in a file with another character ; manages the lines. ex: sed 's/J80/XX/g' replaces the "J80" characters in every line by XX (the g flag at the end of the command corresponds to global replacement)
   * **cut** manages the columns
   * **awk '{if(S3>75){print}}'** to print all lines with the number of third column greater than 75
   * **geany tst.txt \&** : open and modify the file tst.txt (in the background)
   * sleep 3 : do nothing for 3 seconds
   * **CTRL+ Z** stop and pause the current program ; bg relaunch the program in the background (equivalent of launching a command followed by \&) ; ps list of currently running processes ; \& to be added at the end of the command line to launch it in background
   * **chmod u+X** monscript.sh change the execution permission of monscript.sh (changemode) : gives the execution right to the user ; o+X to other users
   * **./monscript.sh** to execute monscript.sh


TP folder : **/work/user/mcharles/tp\_biostatinfo**



## working on GenoToul

Online training: [https://bioinfo.genotoul.fr/index.php/training-2/training/](https://bioinfo.genotoul.fr/index.php/training-2/training/)

   * Common resources ; if too much computational burden on the welcome node, will be killed by the manager. Use other nodes to use tools
   * Modules: roughly correspond to environments that contain paths to certain tools (note: not the same as a virtual environment).** search\_module** <TOOL> helps you identify which specific module contains a particular tool ex: search\_module blast. Best practice is to use a single module at a time (if multiple modules needed, some care is needed.
       * **module help <TOOL location> **ex: module help bioinfo/NCBI\_Blast+/2.10.0+
       * **module list**: identify which module(s) are currently loaded
   * Running interactive jobs on the cluster with the Slurm scheduler (note: different commands than those used on Migale/dga20, which both use the SGE scheduler instead): **srun --pty bash**
       * Prompt on welcome node: <USER>@genobioinfo2
       * Prompt on interactive cluster node: <USER>@n##
       * loaded modules stay loaded in the node
       * **sbatch monscript.sh** : execute the script on the cluster ; will only work if identified as an executable file ; to do so add the line "**#!/bin/sh**" as the first line of the .sh file ; by default, slurn will create two files (an .out file and an .err error file)
       * **!sq squeue -u mcharles** : list of current programs launched by mcharles
       * **history | less** : list of commands during the current session in the main node (?)
       * **scancel jobnumber** : kills the job
       * **sacct** list of current and past jobs
       * **seff jobnumber** information about the job


## File transfer between computer and GenoToul

   * You can use Filezilla to transfer files between your local machine and the server ([https://filezilla-project.org/)](https://filezilla-project.org/)) 
   * Also possible with MobaXterm (directly drag and drop files)
   * use the **dos to unix** tool to make files created on windows transferable to unix (problem due to an additionnal special character in windows text file to change line)


## BLAST

   * **module load bioinfo/NCBI\_Blast+/2.9.0+**
   * can be used to compare sequences from well formatted databases
   * to adapt a database: **makdeblastdb -in Bos\_taurus.ARS-UCD1.3.dna.toplevel.fa -dbtype nucl**
   * to blast human sequences against ARS-UCD1.3 bovine reference genome (the -outfmt 6 flag specifies tabular output): **blastn -query HLA.hs.fasta -db Bos\_taurus.ARS-UCD1.3.dna.toplevel.fa -outfmt 6**
   * **blastn -query HLA.hs.fasta -db Bos\_taurus.ARS-UCD1.3.dna.toplevel.fa -outfmt 6 | cut -f 5 --complement | head | sed -n "5,7p"** only prints the 5 to the 7th lines ; 


## R 

   * **module load statistics/R/4.4.0**
   * Possible to run a *.R script via the command line
   * RStudio server: 
       * first request access to the visu-node: [https://bioinfo.genotoul.fr/index.php/ask-for/resources-request/](https://bioinfo.genotoul.fr/index.php/ask-for/resources-request/) (check the visu-node and specify your account ; access given for 3 months ; have to specify a project for wich the access is needed)
       * Then, access the RStudio server here: [https://geno-ood-1.toulouse.inrae.fr/pun/sys/dashboard/batch\_connect/sys/bc\_rstudio/session\_contexts/new](https://geno-ood-1.toulouse.inrae.fr/pun/sys/dashboard/batch\_connect/sys/bc\_rstudio/session\_contexts/new) 
       * More information: [https://training-ood-genotoul-bioinfo-9bc8dea6e6df4ea2d04a8c39af926e98a.pages.mia.inra.fr/](https://training-ood-genotoul-bioinfo-9bc8dea6e6df4ea2d04a8c39af926e98a.pages.mia.inra.fr/)


## Documentation 

   * FAQ : [https://bioinfo.genotoul.fr/index.php/faq/](https://bioinfo.genotoul.fr/index.php/faq/)
   * GenoToul trainings ([https://bioinfo.genotoul.fr/index.php/training-2/training/)](https://bioinfo.genotoul.fr/index.php/training-2/training/)) : 
       * Linux: [https://bioinfo.genotoul.fr/index.php/events/linux-2-2-2/](https://bioinfo.genotoul.fr/index.php/events/linux-2-2-2/)
       * Cluster: [https://bioinfo.genotoul.fr/index.php/events/cluster/](https://bioinfo.genotoul.fr/index.php/events/cluster/)    
       * Linux \& Cluster TP: [https://genotoul-bioinfo.pages.mia.inra.fr/linux-cluster/](https://genotoul-bioinfo.pages.mia.inra.fr/linux-cluster/)



