
# **TP Tidyverse (dplyr + Tidyr + ggplot) du Mardi 18 mars**

Animation : Arthur Leroy



## tidyverse

tidyverse: meta-package which include :

   * readr: for data importation adn writing, functions with underscore (\_); automatically converts all data frames to tibble
   * tibble: new data frame format
   * magrittr: pipes %>% which will become |> but be aware of R version compatibility (new pipe work only with 4.1) 
   * tidyr: for tibble manipulation
   * dplyr: THE ONE
   * additionnal more sophisticated :
       * purr : equivalent to "apply", to map functions
       * lubridate : to facilitate the use of date or duration
       * stringr : for the use of regular expressions on string
       * forcats: for the manipulation of factors
   * ggplot2 : for graphical purpose


conventional table format (as a tibble) one column per variable, one row per observation/individual

tibble vs data.frame: visualisation of head by default with the type of each column

how to change RStudio "pipe" short cut : 

    "You can change CTRL + Shift + M to the new pipe by selecting the menu Tools -> Global Options, clicking the Code icon on the left and choosing the Editing tab in the dialog. There is a check box for Use Native Pipe Operator on that tab."



## other tips



To use INRAE theme: 

remotes::install\_github("davidcarayon/InraeThemes")



Les sites sympa pour tes tips R :

       * sthda : only R TPs en anglais et français : [https://www.sthda.com](https://www.sthda.com)
       * datanovia : site R (et Python) [https://www.datanovia.com/](https://www.datanovia.com/)


Packages to handle very large datasets:

    **haven**: to import big datasets with sql calls

    **vroum**: to get only the necessary data

    

visualstudio and vscode as alternative interfaces with git



## tidyverse R script

#install.packages("tidyverse") 

library(tidyverse)



head(table1) # overview of the data we will work on

write\_csv(table1, "table1.csv") # writing the corresponding csv file

data = read\_csv("table1.csv") # loading it, with tibble format



# comparing data.frame and tibble formats:

data\_df = as.data.frame(data)

data\_df

as\_tibble(data\_df)



data %>% # (ctrl+maj+m)

  filter(year == 1999) %>% 

  pull(cases) %>% 

  mean()



data |> # new version, quicker, since R 4.1, also shortcut available (R options)

  filter(year == 1999) |>

  pull(cases) |>

  mean()

  

# for data sorting, use arrange

  

# dealing with missing data:

data[5,3] = NA 

data

data %>% 

  drop\_na()

data %>% 

  replace\_na(list(cases = 42))

data %>%

  fill(cases)

data %>% 

  fill(cases, .direction = "up")#  .direction does the opposit of direction



data=as\_tibble(table1)

# "good" data format (long); should be prefered for newly developed tools:

# (permits easy vectorization of operation, much faster)

data

# "wrong" wide data format:

data %>% pivot\_wider(names\_from = country, values\_from = cases)

# prefered format for PCA, MFDA,...:

data %>% pivot\_wider(names\_from = country, values\_from = c(cases, population))



# dplyr package:

data %>% 

  filter(year == 1999)

data %>% 

  slice(2:4) # only lines 2 to 4

data %>% 

  slice\_sample(prop = 0.5) ## random sample

data %>% select(c(country, cases))

data %>% pull(year) # get only one column as a vector


